<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from intprb_getcrudemc.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="intprb_getcrudemc" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>intprb_getcrudemc</refname>
    <refpurpose>Uses a crude Monte-Carlo to estimate the integral.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [ integr , accur , varf ] = intprb_getcrudemc ( nprob , n , p , callf )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>nprob:</term>
      <listitem><para> a 1-by-1 matrix of doubles, integer value,the problem number</para></listitem></varlistentry>
   <varlistentry><term>n:</term>
      <listitem><para> a 1-by-1 matrix of doubles, integer value, the spatial dimension.</para></listitem></varlistentry>
   <varlistentry><term>p:</term>
      <listitem><para> a matrix of doubles, the parameters of the problem</para></listitem></varlistentry>
   <varlistentry><term>callf :</term>
      <listitem><para> a 1-by-1 matrix of floating point integers, the number of calls to the function (default = 1.e4)</para></listitem></varlistentry>
   <varlistentry><term>integr :</term>
      <listitem><para> a 1-by-1 matrix of doubles, the approximate value of the integral, the mean of the function.</para></listitem></varlistentry>
   <varlistentry><term>accur :</term>
      <listitem><para> a 1-by-1 matrix of doubles, the estimated error on the integral.</para></listitem></varlistentry>
   <varlistentry><term>varf :</term>
      <listitem><para> a 1-by-1 matrix of doubles, the approximate value of the variance of f.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Uses a crude Monte-Carlo to approximate the integral corresponding
to the nprob problem.
This function is a wrapper on intprb_crudemc.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Consider problem #1
nprob = 1;
[n,p] = intprb_getsetup(nprob);
callf = 1.e4;
// Get the exact result
e = intprb_getexpect(n,p,nprob)
// Use a Monte Carlo
[integr,accur,varf]=intprb_getcrudemc(nprob,n,p,callf)

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>2010 - Michael Baudin (Scilab version)</member>
   </simplelist>
</refsection>
</refentry>
